version: "3.4"
services:
    nopcommerce_web:
        build: .
        container_name: nopcommerce
        ports:
            - "80:80"
        depends_on:
            - nopcommerce_database
    nopcommerce_database:
        image: "microsoft/mssql-server-linux"
        container_name: nopcommerce_mssql_server
        environment:
            SA_PASSWORD: "nopCommerce_db_password"
            ACCEPT_EULA: "Y"
            MSSQL_PID: "Express"

volumes:
  nopcommerce_data:            